Subject: [PATCH v2 1/2] bcma: register bcma as device tree driver

From: [email-masked] (Hauke Mehrtens)
Date: Thu, 18 Sep 2014 22:50:25 +0200

On 09/18/2014 11:42 AM, Arend van Spriel wrote:
> On 09/17/14 17:10, Rafa? Mi?ecki wrote:
>> On 16 September 2014 23:56, Hauke Mehrtens<[email-masked]>  wrote:
>>> This driver is used by the bcm53xx ARM SoC code. Now it is possible to
>>> give the address of the chipcommon core in device tree and bcma will
>>> search for all the other cores.
>>
>> Did you get any answer from Arend about detecting IRQs?
>>
>> If not:
>> Arend: how much time it make take you to get an answer?
> 
> I already discussed this with our chip architect. There is a chip design
> rule that core index corresponds to the irq number. This at least is
> true for the bcm43xx devices, but unsure about others. So that option
> does not seem to fit. That leaves the OOB_ROUTER core I mentioned
> earlier, but it is a chip designers nightmare as they told me. Did not
> sound encouraging enough to start digging in there to obtain the
> information.

Thanks for asking around.

I will go with specifying the IRQs in device tree then.

Hauke